package com.jz.manage.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageHelper;
import com.jz.manage.admin.dao.UserMapper;
import com.jz.manage.admin.entity.User;
import com.jz.manage.admin.service.UserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class UserServiceImpl implements UserService {

    private static final Logger logger = LoggerFactory.getLogger(UserServiceImpl.class);

    @Autowired
    private UserMapper userMapper;

    @Autowired
    RedisTemplate redisTemplate;

    @Autowired
    StringRedisTemplate stringRedisTemplate;

    @Override
    public List<Map> getTest() {

        Map<String, Object> columnMap = new HashMap<>();
        columnMap.put("user_id", 2);
        List<User> list = userMapper.selectByMap(columnMap);


        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("user_id", 1);
        User d = userMapper.selectOne(queryWrapper);

        String aa = "1";
        User e = userMapper.selectById(aa);

        List<Integer> ids = new ArrayList<>();
        ids.add(1);
        ids.add(2);
        List<User> listUser = userMapper.selectBatchIds(ids);

        return userMapper.getTest();
    }

    @Override
    public IPage<User> queryPage(Page<User> userPage, User event) {
        return userMapper.queryPage(userPage,event);
    }
}
